Categories
SysOps

How to display packages that are no longer required

Display packages that were installed automatically to satisfy various dependencies and are no longer required.

You will be informed about packages that are no longer required during regular package management operations.

$ sudo apt --yes upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  enchant geoip-database gir1.2-mutter-5 gsfonts libapt-pkg5.90 libbind9-161 libboost-date-time1.67.0 libboost-filesystem1.67.0
  libboost-iostreams1.67.0 libboost-system1.67.0 libboost-thread1.67.0 libbrlapi0.6 libdns-export1107 libdns1107 libdns1109
  libenchant1c2a libexiv2-14 libffi6 libfprint0 libgeoip1 libgnome-desktop-3-18 libgspell-1-1 libgutenprint-common libgutenprint9
  libicu63 libicu65 libiptc0 libirs161 libisc-export1104 libisc1104 libisc1105 libisccc161 libisccfg163 liblwres161 libmozjs-60-0
  libmutter-5-0 libnfs12 liboauth0 libpoppler90 libpython3.7 libpython3.7-minimal libpython3.7-stdlib
  linux-modules-extra-5.4.0-9-generic printer-driver-gutenprint python3-asn1crypto python3.7 python3.7-minimal ubuntu-software
Use 'sudo apt autoremove' to remove them.
The following packages will be upgraded:
  evince evince-common fonts-noto-mono gir1.2-gweather-3.0 libevdocument3-4 libevview3-3 libgweather-3-16 libgweather-common
8 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 1027 kB of archives.
After this operation, 1024 B of additional disk space will be used.
Get:1 http://pl.archive.ubuntu.com/ubuntu focal/main amd64 evince-common all 3.36.0-2 [129 kB]
Get:2 http://pl.archive.ubuntu.com/ubuntu focal/main amd64 evince amd64 3.36.0-2 [249 kB]
Get:3 http://pl.archive.ubuntu.com/ubuntu focal/main amd64 libevdocument3-4 amd64 3.36.0-2 [198 kB]
Get:4 http://pl.archive.ubuntu.com/ubuntu focal/main amd64 libevview3-3 amd64 3.36.0-2 [125 kB]
Get:5 http://pl.archive.ubuntu.com/ubuntu focal/main amd64 fonts-noto-mono all 20200323-1 [80.8 kB]
Get:6 http://pl.archive.ubuntu.com/ubuntu focal/main amd64 libgweather-common all 3.36.0-1 [169 kB]
Get:7 http://pl.archive.ubuntu.com/ubuntu focal/main amd64 libgweather-3-16 amd64 3.36.0-1 [68.0 kB]
Get:8 http://pl.archive.ubuntu.com/ubuntu focal/main amd64 gir1.2-gweather-3.0 amd64 3.36.0-1 [7352 B]
Fetched 1027 kB in 0s (3094 kB/s)
(Reading database ... 263292 files and directories currently installed.)
Preparing to unpack .../0-evince-common_3.36.0-2_all.deb ...
Unpacking evince-common (3.36.0-2) over (3.36.0-1) ...
Preparing to unpack .../1-evince_3.36.0-2_amd64.deb ...
Unpacking evince (3.36.0-2) over (3.36.0-1) ...
Preparing to unpack .../2-libevdocument3-4_3.36.0-2_amd64.deb ...
Unpacking libevdocument3-4:amd64 (3.36.0-2) over (3.36.0-1) ...
Preparing to unpack .../3-libevview3-3_3.36.0-2_amd64.deb ...
Unpacking libevview3-3:amd64 (3.36.0-2) over (3.36.0-1) ...
Preparing to unpack .../4-fonts-noto-mono_20200323-1_all.deb ...
Unpacking fonts-noto-mono (20200323-1) over (20200103-3) ...
Preparing to unpack .../5-libgweather-common_3.36.0-1_all.deb ...
Unpacking libgweather-common (3.36.0-1) over (3.34.0-1) ...
Preparing to unpack .../6-libgweather-3-16_3.36.0-1_amd64.deb ...
Unpacking libgweather-3-16:amd64 (3.36.0-1) over (3.34.0-1) ...
Preparing to unpack .../7-gir1.2-gweather-3.0_3.36.0-1_amd64.deb ...
Unpacking gir1.2-gweather-3.0:amd64 (3.36.0-1) over (3.34.0-1) ...
Setting up libgweather-common (3.36.0-1) ...
Setting up fonts-noto-mono (20200323-1) ...
Setting up evince-common (3.36.0-2) ...
Setting up libevdocument3-4:amd64 (3.36.0-2) ...
Setting up libevview3-3:amd64 (3.36.0-2) ...
Setting up evince (3.36.0-2) ...
Installing new version of config file /etc/apparmor.d/abstractions/evince ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for fontconfig (2.13.1-2ubuntu2) ...
Processing triggers for desktop-file-utils (0.24-1ubuntu2) ...
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.36.0-1ubuntu1) ...
Processing triggers for libglib2.0-0:amd64 (2.64.1-1) ...
Processing triggers for libc-bin (2.31-0ubuntu6) ...
Setting up libgweather-3-16:amd64 (3.36.0-1) ...
Setting up gir1.2-gweather-3.0:amd64 (3.36.0-1) ...
Processing triggers for libc-bin (2.31-0ubuntu6) ...

Display only these packages.

$ sudo apt --dry-run autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  enchant geoip-database gir1.2-mutter-5 gsfonts libapt-pkg5.90 libbind9-161 libboost-date-time1.67.0 libboost-filesystem1.67.0
  libboost-iostreams1.67.0 libboost-system1.67.0 libboost-thread1.67.0 libbrlapi0.6 libdns-export1107 libdns1107 libdns1109
  libenchant1c2a libexiv2-14 libffi6 libfprint0 libgeoip1 libgnome-desktop-3-18 libgspell-1-1 libgutenprint-common libgutenprint9
  libicu63 libicu65 libiptc0 libirs161 libisc-export1104 libisc1104 libisc1105 libisccc161 libisccfg163 liblwres161 libmozjs-60-0
  libmutter-5-0 libnfs12 liboauth0 libpoppler90 libpython3.7 libpython3.7-minimal libpython3.7-stdlib
  linux-modules-extra-5.4.0-9-generic printer-driver-gutenprint python3-asn1crypto python3.7 python3.7-minimal ubuntu-software
0 upgraded, 0 newly installed, 48 to remove and 0 not upgraded.
Remv enchant [1.6.0-11.3build1]
Remv geoip-database [20191224-2]
Remv gir1.2-mutter-5 [3.34.3-1ubuntu1]
Remv gsfonts [1:8.11+urwcyr1.0.7~pre44-4.4]
Remv libapt-pkg5.90 [1.9.10]
Remv libbind9-161 [1:9.11.16+dfsg-3~build1]
Remv libboost-date-time1.67.0 [1.67.0-17ubuntu7]
Remv libboost-filesystem1.67.0 [1.67.0-17ubuntu7]
Remv libboost-iostreams1.67.0 [1.67.0-17ubuntu7]
Remv libboost-thread1.67.0 [1.67.0-17ubuntu7]
Remv libboost-system1.67.0 [1.67.0-17ubuntu7]
Remv libbrlapi0.6 [5.6-11ubuntu5]
Remv libdns-export1107 [1:9.11.14+dfsg-3ubuntu1]
Remv libdns1107 [1:9.11.14+dfsg-3ubuntu1]
Remv libirs161 [1:9.11.16+dfsg-3~build1]
Remv libisccfg163 [1:9.11.16+dfsg-3~build1]
Remv libdns1109 [1:9.11.16+dfsg-3~build1]
Remv libgspell-1-1 [1.6.1-2]
Remv libenchant1c2a [1.6.0-11.3build1]
Remv libexiv2-14 [0.25-4ubuntu3]
Remv libffi6 [3.2.1-9]
Remv libfprint0 [1:1.0-1]
Remv libgeoip1 [1.6.12-6build1]
Remv libmutter-5-0 [3.34.3-1ubuntu1]
Remv libgnome-desktop-3-18 [3.34.2-2ubuntu1]
Remv printer-driver-gutenprint [5.3.3-4]
Remv libgutenprint9 [5.3.3-4]
Remv libgutenprint-common [5.3.3-4]
Remv libicu63 [63.2-2]
Remv libicu65 [65.1-1ubuntu2]
Remv libiptc0 [1.8.4-3ubuntu2]
Remv libisc-export1104 [1:9.11.14+dfsg-3ubuntu1]
Remv libisc1104 [1:9.11.14+dfsg-3ubuntu1]
Remv libisccc161 [1:9.11.16+dfsg-3~build1]
Remv libisc1105 [1:9.11.16+dfsg-3~build1]
Remv liblwres161 [1:9.11.16+dfsg-3~build1]
Remv libmozjs-60-0 [60.8.0-2ubuntu5]
Remv libnfs12 [3.0.0-2ubuntu1]
Remv liboauth0 [1.0.3-4]
Remv libpoppler90 [0.80.0-0ubuntu5]
Remv libpython3.7 [3.7.6-1ubuntu2]
Remv python3.7 [3.7.6-1ubuntu2]
Remv libpython3.7-stdlib [3.7.6-1ubuntu2]
Remv python3.7-minimal [3.7.6-1ubuntu2]
Remv libpython3.7-minimal [3.7.6-1ubuntu2]
Remv linux-modules-extra-5.4.0-9-generic [5.4.0-9.12]
Remv python3-asn1crypto [0.24.0-1build1]
Remv ubuntu-software [3.35.91-0ubuntu1]

Remove packages that are no longer required.

$ sudo apt --yes autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  enchant geoip-database gir1.2-mutter-5 gsfonts libapt-pkg5.90 libbind9-161 libboost-date-time1.67.0 libboost-filesystem1.67.0
  libboost-iostreams1.67.0 libboost-system1.67.0 libboost-thread1.67.0 libbrlapi0.6 libdns-export1107 libdns1107 libdns1109
  libenchant1c2a libexiv2-14 libffi6 libfprint0 libgeoip1 libgnome-desktop-3-18 libgspell-1-1 libgutenprint-common libgutenprint9
  libicu63 libicu65 libiptc0 libirs161 libisc-export1104 libisc1104 libisc1105 libisccc161 libisccfg163 liblwres161 libmozjs-60-0
  libmutter-5-0 libnfs12 liboauth0 libpoppler90 libpython3.7 libpython3.7-minimal libpython3.7-stdlib
  linux-modules-extra-5.4.0-9-generic printer-driver-gutenprint python3-asn1crypto python3.7 python3.7-minimal ubuntu-software
0 upgraded, 0 newly installed, 48 to remove and 0 not upgraded.
After this operation, 360 MB disk space will be freed.
(Reading database ... 263292 files and directories currently installed.)
Removing enchant (1.6.0-11.3build1) ...
Removing geoip-database (20191224-2) ...
Removing gir1.2-mutter-5:amd64 (3.34.3-1ubuntu1) ...
Removing gsfonts (1:8.11+urwcyr1.0.7~pre44-4.4) ...
Removing libapt-pkg5.90:amd64 (1.9.10) ...
Removing libbind9-161:amd64 (1:9.11.16+dfsg-3~build1) ...
Removing libboost-date-time1.67.0:amd64 (1.67.0-17ubuntu7) ...
Removing libboost-filesystem1.67.0:amd64 (1.67.0-17ubuntu7) ...
Removing libboost-iostreams1.67.0:amd64 (1.67.0-17ubuntu7) ...
Removing libboost-thread1.67.0:amd64 (1.67.0-17ubuntu7) ...
Removing libboost-system1.67.0:amd64 (1.67.0-17ubuntu7) ...
Removing libbrlapi0.6:amd64 (5.6-11ubuntu5) ...
Removing libdns-export1107 (1:9.11.14+dfsg-3ubuntu1) ...
Removing libdns1107:amd64 (1:9.11.14+dfsg-3ubuntu1) ...
Removing libirs161:amd64 (1:9.11.16+dfsg-3~build1) ...
Removing libisccfg163:amd64 (1:9.11.16+dfsg-3~build1) ...
Removing libdns1109:amd64 (1:9.11.16+dfsg-3~build1) ...
Removing libgspell-1-1:amd64 (1.6.1-2) ...
Removing libenchant1c2a:amd64 (1.6.0-11.3build1) ...
Removing libexiv2-14:amd64 (0.25-4ubuntu3) ...
Removing libffi6:amd64 (3.2.1-9) ...
Removing libfprint0:amd64 (1:1.0-1) ...
Removing libgeoip1:amd64 (1.6.12-6build1) ...
Removing libmutter-5-0:amd64 (3.34.3-1ubuntu1) ...
Removing libgnome-desktop-3-18:amd64 (3.34.2-2ubuntu1) ...
Removing printer-driver-gutenprint (5.3.3-4) ...
Removing libgutenprint9 (5.3.3-4) ...
Removing libgutenprint-common (5.3.3-4) ...
Removing libicu63:amd64 (63.2-2) ...
Removing libicu65:amd64 (65.1-1ubuntu2) ...
Removing libiptc0:amd64 (1.8.4-3ubuntu2) ...
Removing libisc-export1104:amd64 (1:9.11.14+dfsg-3ubuntu1) ...
Removing libisc1104:amd64 (1:9.11.14+dfsg-3ubuntu1) ...
Removing libisccc161:amd64 (1:9.11.16+dfsg-3~build1) ...
Removing libisc1105:amd64 (1:9.11.16+dfsg-3~build1) ...
Removing liblwres161:amd64 (1:9.11.16+dfsg-3~build1) ...
Removing libmozjs-60-0:amd64 (60.8.0-2ubuntu5) ...
Removing libnfs12:amd64 (3.0.0-2ubuntu1) ...
Removing liboauth0:amd64 (1.0.3-4) ...
Removing libpoppler90:amd64 (0.80.0-0ubuntu5) ...
Removing libpython3.7:amd64 (3.7.6-1ubuntu2) ...
Removing python3.7 (3.7.6-1ubuntu2) ...
Removing libpython3.7-stdlib:amd64 (3.7.6-1ubuntu2) ...
Removing python3.7-minimal (3.7.6-1ubuntu2) ...
Unlinking and removing bytecode for runtime python3.7
Removing libpython3.7-minimal:amd64 (3.7.6-1ubuntu2) ...
Removing linux-modules-extra-5.4.0-9-generic (5.4.0-9.12) ...
Removing python3-asn1crypto (0.24.0-1build1) ...
Removing ubuntu-software (3.35.91-0ubuntu1) ...
Processing triggers for desktop-file-utils (0.24-1ubuntu2) ...
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for cups (2.3.1-9ubuntu1) ...
Processing triggers for gnome-menus (3.36.0-1ubuntu1) ...
Processing triggers for libc-bin (2.31-0ubuntu6) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for fontconfig (2.13.1-2ubuntu2) ...